### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-expandable/ecl-expandable.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit`

### Metadata

selector | `ecl-expandable`
styles | `:host { display: block; }`
templateUrl | `./ecl-expandable.component.html`

### Index

###### Methods

- onButtonClick
- getCssClasses

###### Inputs

- collapsedLabel
- expandedLabel
- isExpanded
- class
- e2eAttr

###### Outputs

- toggle

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

collapsedLabel
Type : `string`

expandedLabel
Type : `string`

isExpanded
Type : `boolean`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

toggle
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onButtonClick
`onButtonClick()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""